This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 493103 - Network periodically hangs during install of xen guest
Network periodically hangs during install of xen guest
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtBlocker
  Show dependency treegraph
 
Reported: 2009-03-31 12:20 EDT by Orion Poplawski
Modified: 2009-04-21 18:51 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 18:51:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-03-31 12:20:10 EDT
Description of problem:

Starting with anaconda because I have no idea what might be the cause.  I'm not seeing this on physical hardware though.

During install the network regularly "locks up" and I see a "file cannot be opened error".

Running tshark on the xen host shows:

 20.041845 192.168.0.152 -> 192.168.0.12 TCP 48277 > http [SYN] Seq=0 Win=5840 Len=0MSS=1460 TSV=4294870692 TSER=0 WS=6
 20.041930 192.168.0.12 -> 192.168.0.152 TCP http > 48277 [SYN, ACK] Seq=0 Ack=1 Win=5792 Len=0 MSS=1460 TSV=2421571718 TSER=4294870692 WS=6
 20.042421 192.168.0.152 -> 192.168.0.12 TCP 48277 > http [ACK] Seq=1 Ack=1 Win=5888Len=0 TSV=4294870692 TSER=2421571718
 20.042438 192.168.0.152 -> 192.168.0.12 HTTP GET /fedora/linux/development/x86_64/os/Packages/vconfig-1.9-7.fc11.x86_64.rpm HTTP/1.1
 20.042534 192.168.0.12 -> 192.168.0.152 TCP http > 48277 [ACK] Seq=1 Ack=210 Win=6912 Len=0 TSV=2421571719 TSER=4294870692
 20.281541 192.168.0.12 -> 192.168.0.152 HTTP HTTP/1.1 206 Partial Content [Packet size limited during capture]
 20.281543 192.168.0.12 -> 192.168.0.152 HTTP Continuation or non-HTTP traffic[Packet size limited during capture]
 20.281593 192.168.0.12 -> 192.168.0.152 HTTP Continuation or non-HTTP traffic[Packet size limited during capture]
 20.281761 192.168.0.152 -> 192.168.0.12 TCP 48277 > http [ACK] Seq=210 Ack=1449 Win=8768 Len=0 TSV=4294870933 TSER=2421571958
 20.281793 192.168.0.152 -> 192.168.0.12 TCP 48277 > http [ACK] Seq=210 Ack=2897 Win=11648 Len=0 TSV=4294870933 TSER=2421571958
 20.281836 192.168.0.152 -> 192.168.0.12 TCP 48277 > http [ACK] Seq=210 Ack=4345 Win=14528 Len=0 TSV=4294870933 TSER=2421571958
 20.281973 192.168.0.12 -> 192.168.0.152 HTTP Continuation or non-HTTP traffic[Packet size limited during capture]
 20.281975 192.168.0.12 -> 192.168.0.152 HTTP Continuation or non-HTTP traffic[Packet size limited during capture]
 20.282054 192.168.0.152 -> 192.168.0.12 TCP 48277 > http [ACK] Seq=210 Ack=5793 Win=17472 Len=0 TSV=4294870933 TSER=2421571958
 20.286335 192.168.0.152 -> 192.168.0.12 TCP 48277 > http [FIN, ACK] Seq=210 Ack=6350 Win=20352 Len=0 TSV=4294870936 TSER=2421571958
 20.286458 192.168.0.12 -> 192.168.0.152 TCP http > 48277 [ACK] Seq=6350 Ack=211 Win=6912 Len=0 TSV=2421571963 TSER=4294870936
 20.292541 192.168.0.152 -> 192.168.0.8  DNS Standard query AAAA fedora.cora.nwra.com
 20.292999  192.168.0.8 -> 192.168.0.152 DNS Standard query response CNAME saga.cora.nwra.com
 20.293298 192.168.0.152 -> 192.168.0.8  DNS Standard query A fedora.cora.nwra.com
 20.293632  192.168.0.8 -> 192.168.0.152 DNS Standard query response CNAME saga.cora.nwra.com A 192.168.0.12

and there it hangs.  Resolver issue?

VT3:

WARNING : Try 1/10 for http://fedora.cora.nwra.com/fedora/linux/development/x86_64/os/Packages/dosfstools-3.0.1-4.fc11.x86_64.rpm failed: [Errno 12] Timeout: <urlopen error timed out>

Note that dosfstools is not listed in the packet dump - it's hanging before that somewhere is the resolver step.

Nothing of note on VT4/5.

Version-Release number of selected component (if applicable):
11.5.0.38

How reproducible:
Everytime

Host is CentOS 5.2 with:
2.6.18-132.el5virttest10xen
xen-3.0.3-73.el5
Comment 1 Orion Poplawski 2009-03-31 12:56:16 EDT
Went back and re-installed a F10 guest and that had no problem.

Is there an anaconda update image somewhere with debugging tools like strace and gdb in it somewhere?  Might be handy....
Comment 2 Mark McLoughlin 2009-04-19 08:55:35 EDT
Orion: you can just scp the strace binary, WFM in the past

It'd be nice to get some confirmation that others are seeing the issue too - perhaps post to fedora-virt-list asking others to try and reproduce?
Comment 3 Mark McLoughlin 2009-04-19 08:57:58 EDT
Moving onto the blocker list for now - if it is generally reproducible, it really needs to be fixed before GA
Comment 4 Orion Poplawski 2009-04-21 18:51:51 EDT
I'm not seeing this any more.

Note You need to log in before you can comment on or make changes to this bug.